org.apache.ignite.internal.processors.cache.tree

## Interface RowLinkIO

All Known Implementing Classes:
  AbstractDataInnerIO, AbstractDataLeafIO, CacheIdAwareDataInnerIO, CacheIdAwareDataLeafIO, DataInnerIO, DataLeafIO

    public interface RowLinkIO

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getCacheId(long pageAddr, int idx)`
`int` `getHash(long pageAddr, int idx)`
`long` `getLink(long pageAddr, int idx)`

### Method Detail

#### getLink

    long getLink(long pageAddr,
                 int idx)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
Returns:
  Row link.

#### getHash

    int getHash(long pageAddr,
                int idx)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
Returns:
  Key hash code.

#### getCacheId

    int getCacheId(long pageAddr,
                   int idx)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
Returns:
  Cache ID or `0` if cache ID is not defined.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018